From 6d1cca7e659a040f4db2ed042ab71eef66bb03d4 Mon Sep 17 00:00:00 2001
From: Martin Schiller <ms@dev.tdt.de>
Date: Fri, 7 Feb 2020 12:41:59 +0100
Subject: [PATCH] umbim: explicitly check for PIN1 state

PIN2 is used only to restrict changing of fixed dialling feature,
does not affect network registration. Therefore explicitly check for
PIN1 state during connection setup, which is required for network
registration.

Signed-off-by: Martin Schiller <ms@dev.tdt.de>
[Updated commit description]
Signed-off-by: Lech Perczak <lech.perczak@gmail.com>
---
 package/network/utils/umbim/files/lib/netifd/proto/mbim.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh b/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh
index db716c3dbf..a33759cd6d 100755
--- a/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh
+++ b/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh
@@ -86,7 +86,8 @@ _proto_mbim_setup() {
 	tid=$((tid + 1))
 
 	echo "mbim[$$]" "Checking pin"
-	umbim $DBG -n -t $tid -d $device pinstate || {
+	umbim $DBG -n -t $tid -d $device pinstate
+	[ $? -eq 2 ] && {
 		echo "mbim[$$]" "PIN required"
 		tid=$((tid + 1))
 		umbim $DBG -t $tid -d "$device" disconnect
-- 
2.30.2